> For the complete documentation index, see [llms.txt](https://docs.angular-package.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.angular-package.dev/text/wrapper/wrap/instance-methods.md).

# Instance methods

## Public

### `Wrap.prototype.getClosing()`

Gets the [closing](/text/wrapper/basic-concepts.md#closing) of the wrap by returning the [`#closing`](/text/wrapper/wrap/instance-properties.md#closing) property of the specified object.

{% code title="wrap.class.ts" %}

```typescript
public getClosing(): Closing {
  return this.#closing;
}
```

{% endcode %}

#### Returns

The **return value** is the wrap closing of a generic type variable [`Closing`](https://docs.angular-package.dev/text/wrapper/wrap/pages/SYPkCWCkQnshiX32nwLt#wrap-less-than...-closing-greater-than).

### `Wrap.prototype.getOpening()`

Gets the [opening](/text/wrapper/basic-concepts.md#opening) of the wrap by returning the [`#opening`](/text/wrapper/wrap/instance-properties.md#opening) property of the specified object.

{% code title="wrap.class.ts" %}

```typescript
public getOpening(): Opening {
  return this.#opening;
}
```

{% endcode %}

#### Returns

The **return value** is the wrap opening of a generic type variable [`Opening`](https://docs.angular-package.dev/text/wrapper/wrap/pages/SYPkCWCkQnshiX32nwLt#wrap-less-than-opening-...greater-than).

### `Wrap.prototype.getWrap()`

Gets the [wrap](/text/wrapper/basic-concepts.md#wrap), primitive value consists of the [opening](/text/wrapper/basic-concepts.md#opening) and [closing](/text/wrapper/basic-concepts.md#closing).

{% code title="wrap.class.ts" %}

```typescript
public get(): `${Opening}${Closing}` {
  return this.valueOf();
}
```

{% endcode %}

#### Returns

The **return value** is the wrap consists of the opening and closing of a generic type variable [`Opening`](https://docs.angular-package.dev/text/wrapper/wrap/pages/SYPkCWCkQnshiX32nwLt#wrap-less-than-opening-...greater-than) and [`Closing`](https://docs.angular-package.dev/text/wrapper/wrap/pages/SYPkCWCkQnshiX32nwLt#wrap-less-than...-closing-greater-than) on the template.

### `Wrap.prototype.valueOf()`

Returns the [wrap](/text/wrapper/basic-concepts.md#wrap), primitive value of the specified [`Wrap`](/text/wrapper/wrap.md) object.

{% code title="wrap.class.ts" %}

```typescript
public valueOf(): `${Opening}${Closing}` {
  return super.valueOf() as `${Opening}${Closing}`;
}
```

{% endcode %}

#### Returns

The **return value** is a generic type variable [`Opening`](https://docs.angular-package.dev/text/wrapper/wrap/pages/SYPkCWCkQnshiX32nwLt#wrap-less-than-opening-...greater-than) and [`Closing`](https://docs.angular-package.dev/text/wrapper/wrap/pages/SYPkCWCkQnshiX32nwLt#wrap-less-than...-closing-greater-than) on the template, if properly defined, or an empty [`string`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/text/wrapper/wrap/instance-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
